Imports System.ComponentModel.Composition
Imports Effector.Plugin.Interface

<Export(GetType(IPluginControl))>
<ExportMetadata("Name", "Project")>
Public Class FiveLakesUI
   Implements IPluginControl


   Private m_FiveLakesUIVM As FiveLakesUIVM

   <ImportingConstructor>
   Sub New(Host As IHost)
      ' This call is required by the designer.
      InitializeComponent()
      '' Add any initialization after the InitializeComponent() call.
      m_FiveLakesUIVM = Me.DataContext
      'Me.DataContext = m_FiveLakesUIVM
      AddHandler Me.Loaded, AddressOf FiveLakesUIV_Loaded
      Map.SetRefSupervisorFunction(Host)
   End Sub

   'Private Sub Button1_Click(sender As Object, e As RoutedEventArgs) Handles Button1.Click
   '   'TextBlockTest.Text = Host.PluginTestInfo
   'End Sub

   Private Sub FiveLakesUIV_Loaded(sender As Object, e As RoutedEventArgs)
      m_FiveLakesUIVM.SetTextTest("Prova 1!!")
   End Sub

End Class
